Package twisted :: Package spread :: Module refpath :: Class PathViewContextDirectory

[show private | hide private]
[frames | no frames]

## Class PathViewContextDirectory

    Jellyable --+
                |
     Serializable --+
                    |
             Viewable --+
                        |
                       PathViewContextDirectory

Method Summary
| `__init__(self, root, prefix)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` Serialize a `ViewPoint`for me and the perspective of the given broker. (inherited from `Viewable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| `view_callPath(self, perspective, path, name, *args, **kw)`

Generated by Epydoc 1.1 on Sat Feb 15 21:19:25 2003 | http://epydoc.sf.net